Name:		xinha
Version:	0.96
Release:	0.1.b2
Summary:	A WYSIWIG HTML editor component in Javascript

Group:		Development/Languages
License:	BSD and PHP and LGPLv2+ and CC-BY-SA
URL:		http://www.xinha.org

# The source for this package was pulled from upstream's vcs.  Use the
# following commands to generate the tarball (and add my conf file):
#
#  svn export -r 1191 http://svn.xinha.org/trunk %{name}-%{version}-%{release}
#  tar -czf %{name}-%{version}-%{release}.tar.gz %{name}-%{version}-%{release}/*

Source0:	http://fedorahosted.org/release/x/i/%{name}-%{version}-%{release}.tar.gz
Source1:	xinha.conf

BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
BuildArch:	noarch

Requires:	perl-XML-DOM
Requires:	perl-Text-Aspell

# These would be required for some plugins to work
# (those would be the plugins we conveniently remove in %setup)
#  * Requires:	php-magickwand
#  * Requires:	php-gd
#  * Requires:	Some other PEAR libraries which aren't in Fedora (yet)

%description
Xinha is a Javascript component that can be used to enhance a textarea field in
HTML. It can be used on its own or as part of a larger WYSIWYG module such as
Scribite.

%prep
%setup -q -c -n %{name}-%{version}-%{release} -a 0
cp -p %SOURCE1 .

# Remove precompiled binaries and other illegal files
find %{name}-%{version}-%{release} | grep \.jar$ | xargs rm
find %{name}-%{version}-%{release} | grep \.htaccess$ | xargs rm

# Fix permissions on non-executables
find %{name}-%{version}-%{release} | grep \.js$ | xargs chmod a-x
find %{name}-%{version}-%{release} | grep \.php$ | xargs chmod a-x
find %{name}-%{version}-%{release} | grep \.css$ | xargs chmod a-x
find %{name}-%{version}-%{release} | grep \.html$ | xargs chmod a-x
find %{name}-%{version}-%{release} | grep \.svg$ | xargs chmod a-x

# Remove plugins that contain unresolvable dependecies
rm -rf %{name}-%{version}-%{release}/plugins/ImageManager/
rm -rf %{name}-%{version}-%{release}/plugins/ExtendedFileManager/
rm -rf %{name}-%{version}-%{release}/unsupported_plugins/
rm -rf %{name}-%{version}-%{release}/contrib/

# Remove carriage returns
cat %{name}-%{version}-%{release}/skins/inditreuse/README | tr -d "\r \n" > README.unix
mv README.unix %{name}-%{version}-%{release}/skins/inditreuse/README
cat %{name}-%{version}-%{release}/license.txt| tr -d "\r \n" > license.unix
mv license.unix %{name}-%{version}-%{release}/license.txt
cat %{name}-%{version}-%{release}/skins/titan/README | tr -d "\r \n" > README.unix
mv README.unix %{name}-%{version}-%{release}/skins/titan/README


# Organize the documentation files into folders. We can't just
# simply %doc <file> them because they're often named the same
mkdir doc
mkdir doc/tango-images
mkdir doc/tango-icons doc/crystal-icons
mkdir doc/inditreuse-skin doc/titan-skin
mkdir doc/InsertSmiley doc/SmartReplace doc/Equation doc/SpellChecker
mkdir doc/SaveSubmit doc/FormOperations doc/InsertSnippet doc/InsertSnippet2

mv %{name}-%{version}-%{release}/license.txt doc
mv %{name}-%{version}-%{release}/release-notes.txt doc
mv %{name}-%{version}-%{release}/XinhaLoader_readme.txt doc

mv %{name}-%{version}-%{release}/images/tango/COPYING doc/tango-images

mv %{name}-%{version}-%{release}/iconsets/Tango/LICENSE doc/tango-icons
mv %{name}-%{version}-%{release}/iconsets/Tango/README doc/tango-icons
mv %{name}-%{version}-%{release}/iconsets/Crystal/LICENSE doc/crystal-icons
mv %{name}-%{version}-%{release}/iconsets/Crystal/README doc/crystal-icons

mv %{name}-%{version}-%{release}/skins/inditreuse/README doc/inditreuse-skin
mv %{name}-%{version}-%{release}/skins/titan/README doc/titan-skin

mv %{name}-%{version}-%{release}/plugins/InsertSmiley/README.txt doc/InsertSmiley
mv %{name}-%{version}-%{release}/plugins/SmartReplace/readme.txt doc/SmartReplace
mv %{name}-%{version}-%{release}/plugins/Equation/readme.txt doc/Equation
mv %{name}-%{version}-%{release}/plugins/SpellChecker/README doc/SpellChecker
mv %{name}-%{version}-%{release}/plugins/SpellChecker/readme-tech.html doc/SpellChecker
mv %{name}-%{version}-%{release}/plugins/SaveSubmit/README.txt doc/SaveSubmit
mv %{name}-%{version}-%{release}/plugins/FormOperations/README doc/FormOperations
mv %{name}-%{version}-%{release}/plugins/InsertSnippet/readme.html doc/InsertSnippet
mv %{name}-%{version}-%{release}/plugins/InsertSnippet2/readme.html doc/InsertSnippet2

mv %{name}-%{version}-%{release}/examples doc/examples

%build

# There's nothing to build here; we're just copying js/php.

%install

# Clean the build root
rm -rf $RPM_BUILD_ROOT

# Create the directory (if not already there) where js is supposed to go
mkdir -p $RPM_BUILD_ROOT%{_datadir}/js
cp -a %{name}-%{version}-%{release} $RPM_BUILD_ROOT%{_datadir}/js/

# Create conf.d, if it's not there already, and copy over our .conf file
mkdir -p $RPM_BUILD_ROOT/etc/httpd/conf.d
install -p -m 0644 %{name}.conf $RPM_BUILD_ROOT/etc/httpd/conf.d/%{name}.conf

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%{_datadir}/js/%{name}-%{version}-%{release}
%config(noreplace) %{_sysconfdir}/httpd/conf.d/%{name}.conf

# Install documentation
# If removed plugins are reintegrated in the future, remember
# to include their documentation files.

%doc doc/*

# Note that this package includes locales, but they are implemented
# in JSON, not .mo files, so we can't currently handle them. We'll
# just have to let Xinha handle them as it sees fit until we have
# a better protocol for doing so.

%changelog
* Mon Oct 19 2009 Matthew Daniels <danielsmw@gmail.com> - 0.96-0.1.b2
- Spec file submission (initial package creation) 
